3 Commits e3c7c1fdb0 ... 9eb83fd669

Autor SHA1 Nachricht Datum
  TotallyLeGIT 9eb83fd669 Bump version vor 10 Monaten
  TotallyLeGIT c47c64f671 Fix mixing array and strings vor 10 Monaten
  TotallyLeGIT 16f6b9628e Remove unnecessary eval vor 10 Monaten
2 geänderte Dateien mit 9 neuen und 4 gelöschten Zeilen
  1. 5 0
      CHANGELOG.md
  2. 4 4
      updater

+ 5 - 0
CHANGELOG.md

@@ -22,6 +22,11 @@ These are not completely removed yet, but will be in version 2.0.0.
 ### Security
 
 
+## [1.6.2] – 2024-03-17
+### Fixed
+* Removed an unnecessary `eval` command
+
+
 ## [1.6.1] – 2022-11-18
 ### Fixed
 * `firefox/profiles.ini` getting basically parsed twice if thunderbird was not installed.

+ 4 - 4
updater

@@ -1,7 +1,7 @@
 #!/bin/sh
 
 ## Updater für die user.js von Privacy-Handbuch.de
-## Version: 1.6.1
+## Version: 1.6.2
 ## by: TotallyLeGIT
 
 ## based on the ghacks user.js updater by:
@@ -78,7 +78,7 @@ printv_info() {
 	shift
 	printv "${importance}" '%-19s' "${1}:"
 	shift
-	printv "${importance}" '%s\n' "${color_info}${@}${no_color_stdout}"
+	printv "${importance}" '%s\n' "${color_info}${*}${no_color_stdout}"
 }
 
 # See 'extract_version', but without Thunderbird.
@@ -301,7 +301,7 @@ set_variables() {
 	readonly backup_dir='userjs_backups'
 	readonly diff_dir='userjs_diffs'
 	# TODO: remove version comment in line 4 in v2.0
-	readonly version='1.6.1'
+	readonly version='1.6.2'
 }
 
 usage() {
@@ -374,7 +374,7 @@ download_file() {
 		# This string makes parsing easy as it looks similar to a normal user.js.
 		printf '// user_pref("_user.js.prhdb", "empty");\n' > "${1}" || return 1
 	else
-		eval "${download_command} '${1}' '${2}'" || return 1
+		${download_command} "${1}" "${2}" || return 1
 	fi
 }